SLikeNet 0.1.3

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Classes | Namespaces | Functions
VariadicSQLParser.h File Reference
`#include "DS_List.h"`
`#include <stdarg.h>`

Go to the source code of this file.

## Classes

struct | VariadicSQLParser::IndexAndType

## Namespaces

namespace | VariadicSQLParser

## Functions

const char * | VariadicSQLParser::GetTypeMappingAtIndex (int i)
void | VariadicSQLParser::GetTypeMappingIndices (const char *format, DataStructures::List< IndexAndType > &indices)
void | VariadicSQLParser::ExtractArguments (va_list argptr, const DataStructures::List< IndexAndType > &indices, char ***argumentBinary, int **argumentLengths)
void | VariadicSQLParser::FreeArguments (const DataStructures::List< IndexAndType > &indices, char **argumentBinary, int *argumentLengths)

## Class Documentation

struct VariadicSQLParser::IndexAndType

Definition at line 20 of file VariadicSQLParser.h.

Class Members
unsigned int | strIndex |
unsigned int | typeMappingIndex |